Bug 889604 - installer breaks package installation with http 503 service unavailable and prevents recovery
Summary: installer breaks package installation with http 503 service unavailable and p...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-21 20:40 UTC by Pavel Šimerda (pavlix)
Modified: 2014-02-05 14:06 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 14:06:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Pavel Šimerda (pavlix) 2012-12-21 20:40:20 UTC
Booting from the development branch („branched fedora 18“ in boot.fedoraproject.org). Modified today, according to:

http://ftp.linux.cz/pub/linux/fedora/linux/development/18/x86_64/

(redirected to http://ftp.linux.cz/....)

I don't think a one-shot temporary failure of the download server should break the whole installation. It's a common thing that one of many downloaded files can temporarily fail and can be set up on the second round.

Forcing the user to reboot the machine for an error like this is just ridiculous.

Comment 1 Pavel Šimerda (pavlix) 2012-12-21 22:29:41 UTC
Added covex to Cc just in case he's interested. But the problem is *not* in the server, as it's perfectly valid to return 503 e.g. when the server is temporarily not able to give data. But there's still the possibility to retry soon after, or to retry with another mirror.

Comment 2 Adam Pribyl 2013-01-04 08:41:48 UTC
If I remember correctly, the server returns the 503 if the mirror process is running. I agree this should not cause install failure.

There is also no boot.kernel.org ATM to test.

Comment 3 Fedora End Of Life 2013-12-21 10:02:32 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2014-02-05 14:06:46 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.